Subject: Re: errors: on FreeBSD
To: David C. Myers <>
From: Luke Mewburn <>
List: current-users
Date: 02/25/2004 14:13:14
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Feb 24, 2004 at 07:07:00PM -0800, David C. Myers wrote:
  | On Tue, 2004-02-24 at 18:57, gabriel rosenkoetter wrote:
  | > Could you quote the text at that url that suggest that
  | > cross-platform build should work in netbsd-1-6 before 1.6.2? I can't
  | > seem to find it.
  | Ah, yes.  Perhaps I should be more clear...
  | Supposition: cross-platform builds are important to people.
  | Supposition: non-working cross-platform builds are critical bugs.
  | Perhaps Optimistic Conclusion: the bug that Valeriy identified as
  |    fixed only in -current will get fixed before 1.6.2
  | If That's The Case (based on the web page I cited): these fixes
  |    will show up in the tag "netbsd-1-6".

Whilst cross-platform builds are important, I wouldn't consider
them to be bugs critical enough to require backporting the fixes
to older release branches.

The build system has significantly diverged (due to many
improvements), and it's not worth the effort to refit those
changes into the NetBSD 1.6 branch (netbsd-1-6), especially
given that doing that would result in an incompatible change
in the build system on that branch, and we generally try to
avoid making such incompatible changes on release branches.


Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.4 (NetBSD)